<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//$amostraLong=95;
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$finalidade=$sessao->getVar('finalidade');

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetFont('Arial','',12);
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 $maximoLAdobe=297;//isso para horizontal
 $maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=15;
 $margemAcima=15;
 $mzx=$margemEsquerda;//marco zero x
 $mzy=$margemAcima;   //marco zero y
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 $cinza=220;
 $pdf->SetFillColor($cinza,$cinza,$cinza);
 $grosso=0.7;
 $medio=0.4;
 $fino=0.3;
 $extraFino=0.2;

 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 
 
for($registro=$inicio;$registro<=$final;$registro++):
//$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);					 

$userTTAP = new amostras();
 $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
 $userTTAP->selecionaCampos($userTTAP);
 $disparaCabecalho=1;
 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
   while ($resTTAP = $userTTAP->retornaDados()):
     if($disparaCabecalho==1):
	     $disparaCabecalho=0;
		 $pdf->AddPage();//adicionando a primera pagina 
	     $disparaCabecalho=0;	
         $fonte="Arial";
		 $caminhoFinal="ImagensClientes/imagemfichaBAREN_imprimir.JPG";
         $pdf->Image($caminhoFinal,$mzx,$mzy,185.7,262.4,'JPG');
	     ####################################CABECALHO################################################
		 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
		 //analise ou reanalise 
		 $valorModo=$vetorRaioX[121];
	     if($valorModo=='1'):
		    $pdf->setXY($mzx+39,$mzy+26); $pdf->Cell(1,5,'X',0,0,'L');//TIPO DE AMOSTRA MATERIA PRIMA
		 else:
		    $pdf->setXY($mzx+131,$mzy+26); $pdf->Cell(1,5,'X',0,0,'L');//TIPO DE AMOSTRA MATERIA PRIMA
		 endif; 	
		 
		 
		 //numero de amostra
		 $pdf->SetFont('Arial','B',8);
		 $pdf->setXY($mzx+25,$mzy+21); $pdf->Cell(100,5,$vetorRaioX[119].$vetorRaioX[120],0,0,'L');//numero da amostra
		 $pdf->SetFont('Arial','',8);
		 $pdf->setXY($mzx+18,$mzy+34); $pdf->Cell(100,5,utf8_decode($vetorRaioX[43]),0,0,'L');//especie
		 $pdf->setXY($mzx+16,$mzy+38); $pdf->Cell(100,5,utf8_decode($vetorRaioX[42]),0,0,'L');//cultivar
		 $pdf->setXY($mzx+106,$mzy+38); $pdf->Cell(100,5,$vetorRaioX[9],0,0,'L');//lote
		 $pdf->setXY($mzx+100,$mzy+21); $pdf->Cell(100,5,$vetorRaioX[8],0,0,'L');//recebida em
		 $pdf->setXY($mzx+145,$mzy+21); $pdf->Cell(100,5,$vetorRaioX[48],0,0,'L');//safra
		 $pdf->setXY($mzx+18,$mzy+30); $pdf->Cell(100,5,$vetorRaioX[44],0,0,'L');//requerente
		 $pdf->setXY($mzx+113,$mzy+30); $pdf->Cell(100,5,utf8_decode($vetorRaioX[57]),0,0,'L');//procedencia
		 $pdf->setXY($mzx+143,$mzy+34); $pdf->Cell(100,5,utf8_decode($vetorRaioX[152]),0,0,'L');//data coleta da amsotra=data amostragem
		 $pdf->setXY($mzx+145,$mzy+37); $pdf->Cell(100,5,utf8_decode($vetorRaioX[155]),0,0,'L');//nome do campo de producao de semente
		 $pdf->setXY($mzx+155,$mzy+41); $pdf->Cell(100,5,utf8_decode($vetorRaioX[96]),0,0,'L');//nome amostrador
		 
         //<!--representatividade barenbrug usa 4 caixas separadas-->
         //<!--captura a representatividade e explode-->
		 $repre=$vetorRaioX[46];
		 list($r1,$r2,$r3,$r4)= explode(" ", $repre);
		 $pdf->setXY($mzx+30,$mzy+41); $pdf->Cell(100,5,number_format($r1,0,',','.'),0,0,'L');//representatividade
		 $pdf->setXY($mzx+75,$mzy+41); $pdf->Cell(100,5,number_format($r3,2,',','.'),0,0,'L');//representatividade
		 $pesoFinal=number_format($r3*$r1,2,',','.');  //number_format($osg,$casasDecimais,'separador decimal','separador milhar')
		 $pdf->setXY($mzx+120,$mzy+41); $pdf->Cell(100,5,$pesoFinal,0,0,'L');//representatividade
		 $pdf->setXY($mzx+80,$mzy+38); $pdf->Cell(100,5,$vetorRaioX[53],0,0,'L');//categoria
         //TIPO DE AMOSTRA
		 $valorBene=$vetorRaioX[118];
	     if($valorBene=='1'):
		    $pdf->setXY($mzx+25,$mzy+45); $pdf->Cell(1,5,'x',0,0,'L');//TIPO DE AMOSTRA MATERIA PRIMA
		 endif; 	
	     if($valorBene=='2'):
		    $pdf->setXY($mzx+49,$mzy+45); $pdf->Cell(1,5,'x',0,0,'L');//TIPO DE AMOSTRA BENEFICIADA
		 endif;	
	     if($valorBene=='3'):
		    $pdf->setXY($mzx+71,$mzy+45); $pdf->Cell(1,5,'x',0,0,'L');//TIPO DE AMOSTRA escarificada
		 endif;	
	     if($valorBene=='4'):
		    $pdf->setXY($mzx+91,$mzy+45); $pdf->Cell(1,5,'x',0,0,'L');//TIPO DE AMOSTRA REVESTIDA 
		 endif;	
	     if($valorBene=='5'):
		    $pdf->setXY($mzx+107,$mzy+45); $pdf->Cell(1,5,'x',0,0,'L');//TIPO DE AMOSTRA  PROD ACABADO NU
		 endif;	
	     if($valorBene=='6'):
		    $pdf->setXY($mzx+138,$mzy+45); $pdf->Cell(1,5,'x',0,0,'L');//TIPO DE AMOSTRA PROD ACABADO REVESTIDO
		 endif;
	     if($valorBene=='7'):
		    $pdf->setXY($mzx+25,$mzy+52); $pdf->Cell(1,G,'x',0,0,'L');//TIPO DE AMOSTRA 
         endif;
		 //solicitacoes(testes a realizar)
		 $concatenado=$vetorRaioX[47];
		 list($tr[1],$tr[2],$tr[3],$tr[4],$tr[5],$tr[6],$tr[7],$tr[8],$tr[9])= explode(";", $concatenado);
		 for($i=1;$i<=9;$i++):
		    if($tr[$i]=="PUR"):
			    $pdf->setXY($mzx+17,$mzy+53); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="DOS"):
			    $pdf->setXY($mzx+38,$mzy+53); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="OCV"):
			    $pdf->setXY($mzx+75,$mzy+53); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="PMS"):
			    $pdf->setXY($mzx+107,$mzy+53); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="DTU"):
			    $pdf->setXY($mzx+138,$mzy+53); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="GER"):
			    $pdf->setXY($mzx+166,$mzy+53); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="TZO"):
			    $pdf->setXY($mzx+17,$mzy+57); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="ARE"):
			    $pdf->setXY($mzx+38,$mzy+57); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		    if($tr[$i]=="CAN"):
			    $pdf->setXY($mzx+75,$mzy+57); $pdf->Cell(1,5,"x",0,0,'L');//testes a realizar
			endif;	
		 endfor;

//aqui aquela parte de PREPARO DE AMOSTRA
/////////
$L16A=$vetorRaioX[163];
$L16B=$vetorRaioX[159];
$L16C=$vetorRaioX[106];
$L17A=$vetorRaioX[161];
$L17B=$vetorRaioX[162];

$pdf->setXY($mzx+15,$mzy+65);
$pdf->Cell(70,5,$L16A,0,0,'L');//
$pdf->Cell(70,5,$L16B,0,0,'L');//
$pdf->Cell(70,5,$L16C,0,0,'L');//
$pdf->setXY($mzx+25,$mzy+69);
$pdf->Cell(90,5,$L17A,0,0,'L');//
$pdf->Cell(90,5,$L17B,0,0,'L');//

//NA LINHA L17 RECIPIENTE
$pdf->setXY($mzx+160,$mzy+77);
$pdf->Cell(10,5,$vetorRaioX[164],0,0,'L');//



//////////////
    //AQUI VAI ASSINALAR DIRETO TESTES A REALIZAR MODELO BARENBRUG-->
   //aqui cria um segundo vetor com mesmo tamanho do vetor de testes e que serve para armazenar no 
	$vetor[1]="PUR";
	$vetor[2]="DOS";
	$vetor[3]="OCV";
	$vetor[4]="PMS";
	$vetor[5]="DTU";
	$vetor[6]="GER";
	$vetor[7]="TZO";
	$vetor[8]="ARE";
	$vetor[9]="CAN";
	$quantosTestes=sizeof($vetor);
	//mesmo indice do vetor principal a palavra checked se o teste foi solicitado
	$user = new testesSolicitados();
	$user->extras_select = "where tes_ficha=".$amostraLong;
	$user->selecionaTudo($user);
	while ($res = $user->retornaDados()):
	    //para cada registro ele varre o array para ver o indice. quando encontra ele grava o valor no segundo vetor 
	    for($i=1;$i<=$quantosTestes;$i++)
		{
	        if($res->tes_teste==$vetor[$i]) $segundoVetor[$i]='checked';
			//echo  'kkk'. $res->tes_teste;
		}
	endwhile;  
		 
		 
		 
     //setor pureza  
	 //ASSINALAMENTOS PELOTIZADAS/PELOTAS ETC
    if($finalidade=='PREVIA'):
        $L21A='x';
        $L23A='x';
    else://definitivas agora  
        $L21B='x';
        $L23B='x';
	endif; //TESTA SE É PREVOIA OU DEFINITIVA 
    $pdf->setXY($mzx+0.8,$mzy+84.5);
    $pdf->Cell(33,5,$L21A,0,0,'L');//
    $pdf->Cell(10,5,$L21B,0,0,'L');//
    $pdf->setXY($mzx+0.8,$mzy+92);
    $pdf->Cell(33,5,$L23A,0,0,'L');//
    $pdf->Cell(10,5,$L23B,0,0,'L');//
		 
		 
		   
		 //calcula impurezas
         $impureza=$vetorRaioX[23]+$vetorRaioX[24];//soma impurezas
         $pesoFinal=$vetorRaioX[23]+$vetorRaioX[24]+$vetorRaioX[22];//peso final(os+mi+pu)
		 if($vetorRaioX[22]==0 && $vetorRaioX[23]==0 && $vetorRaioX[24]==0)$pesoFinal="";
		   $pi=$vetorRaioX[21];
		   $pi_pf=$pi-$pesoFinal;


		   if($pesoFinal>0)$pi_pf_perc=$pi_pf/$pesoFinal*100;
		   $pi_pf_perc=number_format($pi_pf_perc,2,'.',',');
		 //atribui valor em branco para varios campos quando o peso final  for branco
         if($pesoFinal==""):		 
		    $vetorRaioX[15]="";
		    $vetorRaioX[25]="";
		    $vetorRaioX[26]="";
		    $pi="";
		    $pi_pf="";
		    $pi_pf_perc="";
		 endif;
     list($vetorFinal[1], $vetorFinal[2], $vetorFinal[3], $vetorFinal[4], $vetorFinal[5],    $vetorFinal[6]) = explode(";", $vetorRaioX[55]);	
	 if($vetorRaioX[26]=="TRAÇO")$vetorRaioX[157]='TRAÇO';
	 if($vetorRaioX[25]=="TRAÇO")$vetorRaioX[158]='TRAÇO';
	 if($vetorRaioX[15]=="TRAÇO")$vetorRaioX[156]='TRAÇO';
	 $somaPercentagemBrutal=$vetorRaioX[156]+$vetorRaioX[157]+$vetorRaioX[158];
     $somaPercentagemBrutal= number_format($somaPercentagemBrutal,2,'.',',');
     $somaPercentagemFinal= number_format(100,2,'.',',');

//caso nao tenha marcado pureza
 if($segundoVetor[1]!='checked'):
 
      $pi="-N-";
      $pf="-N-";
     
	  //<!--PI-PF  EM GRAMAS-->   
      $pi_pf_final="-N-";
      $pi_pf="-N-";
      //somas das percentagem bruta e liquida
      $percentagemBruta="-N-";
      $percentagemFinal="-N-";
	  $pi_pf_perc="-N-";
	  //material inerte
      $vetorFinalMI[1]="-N-";
      $vetorFinalMI[2]="-N-";
      $vetorFinalMI[3]="-N-";
      $vetorFinalMI[4]="-N-";
      $vetorFinalMI[5]="-N-";
      $vetorFinalMI[6]="-N-";
	  //analista e data
      $vetorRaioX[153]="-N-";
      $vetorRaioX[154]="-N-";

      $vetorRaioX[21]="-N-";
      $vetorRaioX[22]="-N-";
      $vetorRaioX[24]="-N-";
      $vetorRaioX[23]="-N-";
      $vetorRaioX[15]="-N-";
      $vetorRaioX[25]="-N-";
      $vetorRaioX[26]="-N-";
	  $somaPercentagemBrutal="-N-";
	  $somaPercentagemFinal="-N-";
   endif;
	       $vetorPureza[1][1]=$vetorRaioX[21]; //peso amostra trabalho
           $vetorPureza[2][1]=$vetorRaioX[22]; //peso pu
           $vetorPureza[3][1]=$vetorRaioX[24]; //peso mi         		 
           $vetorPureza[4][1]=$vetorRaioX[23]; //peso os         		 
           $vetorPureza[5][1]=$pesoFinal; //peso final(os+mi+pu)  
	
	
		 
         //pesos
		 $pdf->setXY($mzx+77,$mzy+81); $pdf->Cell(100,5,$vetorRaioX[21],0,0,'L');//peso amostra trabalho
		 $pdf->setXY($mzx+77,$mzy+85); $pdf->Cell(100,5,$vetorRaioX[23],0,0,'L');////peso pu
		 $pdf->setXY($mzx+77,$mzy+89); $pdf->Cell(100,5,$vetorRaioX[24],0,0,'L');////peso mi
		 $pdf->setXY($mzx+77,$mzy+93); $pdf->Cell(100,5,$vetorRaioX[22],0,0,'L');////peso os
		 $pdf->setXY($mzx+77,$mzy+97); $pdf->Cell(100,5,$pesoFinal,0,0,'L');//////peso final(os+mi+pu)  
		 $pdf->setXY($mzx+77,$mzy+104); $pdf->Cell(100,5,number_format($pi_pf,3,',',''),0,0,'L');//
         
         //percentagens preliminar

		 $pdf->setXY($mzx+100,$mzy+85); $pdf->Cell(20,5,utf8_decode($vetorRaioX[157]),0,0,'L');////purez%  bruta barenbrug
		 $pdf->setXY($mzx+100,$mzy+89); $pdf->Cell(20,5,utf8_decode($vetorRaioX[158]),0,0,'L');////mi% bruta barenbrug
		 $pdf->setXY($mzx+100,$mzy+93); $pdf->Cell(20,5,utf8_decode($vetorRaioX[156]),0,0,'L');////os% bruta barenbrug
		 $pdf->setXY($mzx+100,$mzy+100); $pdf->Cell(20,5,utf8_decode($somaPercentagemBrutal),0,0,'L');////soma peso percentagem bruta
		 $pdf->setXY($mzx+100,$mzy+104); $pdf->Cell(100,5, $pi_pf_perc,0,0,'L');//
		 
		 
		 
         //percentagens final 
		 $pdf->setXY($mzx+120,$mzy+85); $pdf->Cell(20,5,utf8_decode($vetorRaioX[26]),0,0,'L');////purez%   barenbrug
		 $pdf->setXY($mzx+120,$mzy+89); $pdf->Cell(20,5,utf8_decode($vetorRaioX[25]),0,0,'L');////mi%  barenbrug
		 $pdf->setXY($mzx+120,$mzy+93); $pdf->Cell(20,5,utf8_decode($vetorRaioX[15]),0,0,'L');////os% barenbrug
		 $pdf->setXY($mzx+120,$mzy+100); $pdf->Cell(20,5,utf8_decode($somaPercentagemFinal),0,0,'L');////soma peso percentagem final
		 
		 
		 
	     //natureza do material inerte
		 $pdf->setXY($mzx+165,$mzy+85); $pdf->Cell(100,5, $vetorFinal[1],0,0,'L');//natureza do material inerte
		 $pdf->setXY($mzx+165,$mzy+89); $pdf->Cell(100,5, $vetorFinal[2],0,0,'L');//natureza do material inerte
		 $pdf->setXY($mzx+165,$mzy+93); $pdf->Cell(100,5, $vetorFinal[3],0,0,'L');//natureza do material inerte
		 $pdf->setXY($mzx+165,$mzy+97); $pdf->Cell(100,5, $vetorFinal[4],0,0,'L');//natureza do material inerte
		 $pdf->setXY($mzx+165,$mzy+101); $pdf->Cell(100,5, $vetorFinal[5],0,0,'L');//natureza do material inerte
		 $pdf->setXY($mzx+165,$mzy+105); $pdf->Cell(100,5, $vetorFinal[6],0,0,'L');//natureza do material inerte
		 ////pi-pf/////////
	

   		 
		 //////final pi-pf///////////
         //analista de pureza  e data 
		 $pdf->setXY($mzx+15,$mzy+108); $pdf->Cell(100,5, $vetorRaioX[153],0,0,'L');//analista
		 $pdf->setXY($mzx+150,$mzy+108); $pdf->Cell(100,5, $vetorRaioX[154],0,0,'L');//data pureza
		 
		 
		 
		 

 		 //contaminantes/////////////////////////////////////////////////////////////////////
		 $mzy+=35;
		 //peso da amostra sementes cultivadaas e silvestres
		 //aqui pega do coracao e adapta.../////////
		  $pesoBarenSilvestres=$vetorRaioX[190].'g';//semente revestida ...
		  //se foi assinalado revestida 
		  if($valorBene!='6'):
		    $pesoBarenSilvestres=$vetorPureza[1][1].'g';
		  endif;
	      //se foi marcado o teste dosne
		  if($segundoVetor[2]!='checked'):
	         $pesoBarenSilvestres= '-N-';
		  endif;			 
		 //$pdf->setXY(110,$mzy+81); $pdf->Cell(50,5,$pesoBarenSilvestres.$valorBene.$segundoVetor[2],0,0,'L');
		 $pdf->setXY(110,$mzy+81); $pdf->Cell(50,5,$pesoBarenSilvestres,0,0,'L');
		 //tres itens da linha 30 da ficha  A,B,C
		//se nao marcou DOSN ele deve marcar -N-
		if($segundoVetor[2]!='checked'):
		   $L30A= '-N-';
		else:
	       $L30A= $vetorRaioX[191];
		endif;
	    //<!--PESO NOCIVAS campo pelotas   -->
	    //<!--barenbrug varia esta soma em funcao  de ser revestida ou SEMENTE NUA-->
	    //<!--CASO FOR SEMENTE -->
	  if($chequeAssinado6=="checked"):
	     $pesoNociva=$vetorRaioX[163];////revestida
	  else:
	     //$pesoNociva=$vetorRaioX[21]+$vetorRaioX[163];///nua
	     $pesoNociva=$vetorRaioX[163];///nua
	  endif;
      //aqui depende se nao foi marcado DOSN ELE DEVE MARCAR -N-
	  if($segundoVetor[2]!='checked'):
	     $L30B= '-N-';
	  else:
	     $L30B= $pesoNociva;
      endif;		 

	//RECIPIENTE se nao marcou DOSN ele deve marcar -N- 
	if($segundoVetor[2]!='checked'):
	   $L30C= '-N-';
	else:
       $L30C= $vetorRaioX[165];
	endif;

	 $pdf->setXY(80,$mzy+84);
	 $pdf->Cell(75,5,$L30A,0,0,'L');
	 $pdf->Cell(35,5,$L30B,0,0,'L');
	 $pdf->Cell(20,5,$L30C,0,0,'L');
		 
		 
		 
		 
		 
		 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
		 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
		 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
		 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
		 $limiteOESP=sizeof($vetorRXOESP)-2;
		 $limiteSILV=sizeof($vetorRXSILV)-2;
		 $limiteNOCT=sizeof($vetorRXNOCT)-2;
		 $limiteNOCP=sizeof($vetorRXNOCP)-2;
         $reanLong=$vetorRaioX[62];		 
	   	 //$vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacao($reanLong); 
       
	     //redefinindo margem 
         
		 //imprime oesp
		 $yLocal=$mzy+90;
		 $xLocal=$mzx+1;
		 for($i=1;$i<=$limiteOESP;$i++):
		   $yLocal+=4;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(54,3,$vetorRXOESP[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXOESP[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(70,$mzy+125); $pdf->Cell(100,5,$vetorRXOESP[0][0],0,0,'L');//////total oesp  
		 
		 
		 
		 //imprime silv
		 $yLocal=$mzy+90;
		 $xLocal=$mzx+60;
		 for($i=1;$i<=$limiteSILV;$i++):
		   $yLocal+=4;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(54,3,$vetorRXSILV[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXSILV[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(130,$mzy+125); $pdf->Cell(100,5,$vetorRXSILV[0][0],0,0,'L');//////total silv
		 
		 //imprime NOCT   xxxxxxxxxxx
		 $yLocal=$mzy+90;
		 $xLocal=$mzx+121;
		 for($i=1;$i<=$limiteNOCT;$i++):
		   $yLocal+=4;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(58,3,$vetorRXNOCT[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXNOCT[$i][1],0,0,'L');//nome contaminante
         endfor;
		 //total nocivas toleradas
		 $pdf->setXY(192,$mzy+109); $pdf->Cell(100,5,$vetorRXNOCT[0][0],0,0,'L');//////total noct
		 
		  
		 //imprime NOCP
		 $xLocal=$mzx+121;
		 $yLocal=$mzy+114;
		 for($i=1;$i<=$limiteNOCP;$i++):
		   $yLocal+=4;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(58,3,$vetorRXNOCP[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXNOCP[$i][1],0,0,'L');//nome contaminante
         endfor;
		 $pdf->setXY(194,$mzy+125); $pdf->Cell(100,5,$vetorRXNOCP[0][0],0,0,'L');//////total nocp 
		 $pdf->Cell(20,5,$vetorRaioX[13],0,0,'L');//////total nocp 
//numero toal de sementes nao identificadas 
		 $pdf->setXY(70,$mzy+129); $pdf->Cell(10,5,$vetorRaioX[194],0,0,'L');
//assinatura e data 
		 $pdf->setXY(25,$mzy+132); $pdf->Cell(140,5,$vetorRaioX[215],0,0,'L');//analista
		 $pdf->Cell(50,5,$vetorRaioX[216],0,0,'L');//////total nocp 



      //FIM DOS CONTAMINANTES////////////////////////////////////////////////////////// 
		
		//aqui verificacao da especie//////////////////////////////////////////////////////
        //linha 44 
		if($segundoVetor[3]!='checked'):
		   $vetorRaioX[185]='-N-';	
		   $vetorRaioX[186]='-N-';	
		   $vetorRaioX[187]='-N-';	
		   $vetorRaioX[188]='-N-';	
		   $vetorRaioX[198]='-N-';	
		   $vetorRaioX[197]='-N-';	
        endif;    
        $pdf->setXY(35,$mzy+140); $pdf->Cell(100,5,$vetorRaioX[185],0,0,'L');//numero de sementes
        $pdf->setXY(110,$mzy+140); $pdf->Cell(100,5,$vetorRaioX[186],0,0,'L');//quantidade da especie
        $pdf->setXY(175,$mzy+140); $pdf->Cell(100,5,$vetorRaioX[187],0,0,'L');//outras esp encont
        //linha 45  
        $pdf->setXY(70,$mzy+144); $pdf->Cell(100,5,$vetorRaioX[188],0,0,'L');//descricao
        //linha 46  
        $pdf->setXY(35,$mzy+148); $pdf->Cell(100,5,$vetorRaioX[198],0,0,'L');//analista verificacao da especie-
        $pdf->setXY(160,$mzy+148); $pdf->Cell(100,5,$vetorRaioX[197],0,0,'L');//data verificacao da especie
		
//--SETOR PMS BARENBRUG-->
//AQUI COMECA PMS
//PMS EM GRAMAS VALOR FINAL-->	
//SE NAO FOR SEMENTE REVESTIDA COLOCA -N- EM TUDO
//SE NAO TIVER MARCADO TESTE PMS ELE COLOCA -N- EM TUDO (ESTA TEM PREVALENCIA SOBRE A OUTRA)) 
	//captura vaiancia ,desVio,soma , media
	//se for semente acaba revestida entao anula os campos de pms pois vai calcular este de forma bem diferente
    //1-materia prima
    //2-beneficciado
    //3-escarificada
    //4-revestido
    //5-acabado nua
    //6-acabado revestido
    if($segundoVetor[4]=='checked')://se marcou pms
      $pmsTradicional=$vetorRaioX[13];
	  list($variancia,$desvio,$soma,$media,$coeficiente)= explode("*", $vetorRaioX[116]);
      $C50C=$vetorPureza[2][1]; 
	  $C50D= $vetorRaioX[189];
	  //PES CALCULADO
	  $pmsCalculado='-';
	  if($vetorRaioX[189]>0) $pmsCalculado=$vetorPureza[2][1]*1000 / $vetorRaioX[189];
	  $pmsFinal=number_format($pmsCalculado,1,',','.');
	  $C51C= $pmsFinal;
      //FAIXA 1
	 $pmsCalculado=16.1; //retirar este horror
  	 $menor=$pmsCalculado * 2.5;
	 //$maior=$pesoAmostraPureza;
	 $maior=$pmsCalculado * 1.03 * 2.5;
	 //aqui arredondamento barembruco
	 //$maior=round($maior*100);
	 //$maior=$maior/100;
	 $C52A=number_format($menor,3,',','.').' - ' .number_format($maior,3,',','.') ;
     //FAIXA 2
	 //PMs  faixa de variacao a apartir de pelotas puras na direita para dosn-->	
	 $menor=$pmsCalculado *  25;
	 //aqui arredondamento barembruco
	 $menor=round($menor*100);
	 $menor=$menor/100;
	 //$maior=$pesoAmostraDosn;
	 $maior=$pmsCalculado * 10.3 * 2.5;
	 //aqui arredondamento barembruco
	 $maior=round($maior*100);
	 $maior=$maior/100;
     $C52B=number_format($menor,3,',','.').' - ' .number_format($maior,3,',','.') ;   
	 $dataPMS=$vetorRaioX[214];
     $dataPMSFinal= date("d/m/Y",strtotime($dataPMS));
	     
     
	  if($valorBene=='1' || $valorBene=='2' || $valorBene=='3' ||$valorBene=='4'  ||$valorBene=='5'    ||$valorBene=='7')://SE É MP,BENEF,ESCARIF,ACAB NUA
	      $C50C='-N-';
	      $C50D='-N-';
	      $C51C='-N-';
		  $C52A='-N-';
	      $C52B='-N-';
	  else:
	  	  $variancia= $desvio=$soma= $media= $coeficiente="-N-";  //COLOC
	  endif;	  
      //CASO FOR PRODUTO ACABADO REVESTIDO COLOCA TUDO -N- NOS PMS TRADICIONAL
	  for($i=108;$i<=115;$i++):
		if($valorBene=='6'  || $segundoVetor[4]!='checked')$vetorRaioX[$i]="-N-";//apaga pesos
		if($valorBene=='6'  || $segundoVetor[4]!='checked')$vetorRaioX[13]="-N-";//apaga pms tradicional
	  endfor;
      if($valorBene=='6'):
	      $pmsTradicional='-N-';
      ENDIF;
      
    else://CASO NAO MARCOU PMS
      $C50C='-N-'; 
	  $C50D='-N-';
	  $C51C='-N-';
	  $C52A='-N-';
	  $C52B='-N-';
	  $variancia= $desvio=$soma= $media= $coeficiente="-N-";  //COLOC
	  for($i=108;$i<=115;$i++):
	    if($segundoVetor[4]!='checked')$vetorRaioX[$i]="-N-";//apaga pesos
	  endfor;
	  $vetorRaioX[117]='-N-';
	  $dataPMSFinal='-N-';
      $pmsTradicional='-N-';
    endif;//testa se amarcou pms 	
	//IMPRIME SETOR PMSXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
     //linha 49
     $mzy+=159;
	 $pdf->setXY($mzx+8,$mzy);
	 for($i=108;$i<=115;$i++):
		$pdf->Cell(20,5,$vetorRaioX[$i],0,0,'L');//////total nocp 
	 endfor;
	 $pdf->Cell(20,5,$pmsTradicional,0,0,'L');//pmsTradicional


//linha 50
$pdf->setXY($mzx+30,$mzy+4);$pdf->Cell(20,5,$media,0,0,'L');//peso medio
$pdf->setXY($mzx+60,$mzy+4);$pdf->Cell(20,5,$variancia,0,0,'L');//variancia	
$pdf->setXY($mzx+130,$mzy+4);$pdf->Cell(20,5,$C50C,0,0,'L');//pesoamostra em gramas
$pdf->setXY($mzx+170,$mzy+4);$pdf->Cell(20,5,$C50D,0,0,'L');////peso PELOTAS PURAS
//linha 51
$pdf->setXY($mzx+30,$mzy+9);
$pdf->Cell(50,5,$desvio,0,0,'L');//desvio
$pdf->Cell(80,5,$coeficiente,0,0,'L');//COEFICIENTE
$pdf->Cell(20,5,$C51C,0,0,'L');////PMS EM GRAMAS
//linha 52
$pdf->setXY($mzx+40,$mzy+12);$pdf->Cell(20,5,$C52A,0,0,'L');////PESO AMOSTRA PUREZA
$pdf->setXY($mzx+130,$mzy+12);$pdf->Cell(20,5,$C52B,0,0,'L');////PESO AMOSTRA DOSN
//linha 53
$pdf->setXY($mzx+20,$mzy+16);$pdf->Cell(20,5,$vetorRaioX[117],0,0,'L');////PM  operador
$pdf->setXY($mzx+160,$mzy+16);$pdf->Cell(20,5,$dataPMSFinal,0,0,'L');////data

  
   //FIM DO PMSXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

//DETERMINACAO DO GRAU DE UMIDADE
 $mzy+=24;
//linha 55 
$pdf->setXY(35,$mzy); $pdf->Cell(100,5,$vetorRaioX[183],0,0,'L');//APARELHO
$pdf->setXY(135,$mzy); $pdf->Cell(100,5,$vetorRaioX[184],0,0,'L');//GRAU DE UMIDADE
//linha 56 
$pdf->setXY(35,$mzy+4); $pdf->Cell(100,5,$vetorRaioX[196],0,0,'L');//ANALISTA
$pdf->setXY(160,$mzy+4); $pdf->Cell(100,5,$vetorRaioX[195],0,0,'L');//DATA


//EMERGENCIA EM SOLO/////////////////////
//comeco do enxertoenxerto/////////////////////////
    //se nao assinalou o teste de emergencia areia  joga -N- 
    //calcula para areia 
	$numeroSementes=$vetorRaioX[173];
	$divisor=$numeroSementes/100;
    $total=$vetorRaioX[169]+$vetorRaioX[170]+$vetorRaioX[171]+$vetorRaioX[172];
	$totalSolo=$vetorRaioX[176]+$vetorRaioX[177]+$vetorRaioX[178]+$vetorRaioX[179];
    if($divisor>0) $gerAreia= round($total/$divisor);
	//calcula para solo
    $numeroSementes=$vetorRaioX[180];
    $divisor=$numeroSementes/100;
    if($divisor>0) $gerSolo=round($totalSolo/$divisor);
	
	$fezAreia='X';
	$fezSolo='X';
	if($segundoVetor[8]!='checked'):
	   $vetorRaioX[169]='-N-';	
	   $vetorRaioX[170]='-N-';	
	   $vetorRaioX[171]='-N-';	
	   $vetorRaioX[172]='-N-';	
	   $vetorRaioX[173]='-N-';	
	   $vetorRaioX[174]='-N-';	
	   $vetorRaioX[175]='-N-';	
	   //$vetorRaioX[200]='-N-';	
	   //$vetorRaioX[199]='-N-';	
	   //$vetorRaioX[176]='-N-';	
	   //$vetorRaioX[177]='-N-';	
	   //$vetorRaioX[178]='-N-';	
	   //$vetorRaioX[179]='-N-';	
	   //$vetorRaioX[180]='-N-';	
	   //$vetorRaioX[181]='-N-';	
	   //$vetorRaioX[182]='-N-';	
       $gerAreia='-N-';
	   $total='-N-';
	   $fezAreia='';
	endif;

    //se nao assinalou o teste de emergencia SOLO  joga -N- 
	if($segundoVetor[9]!='checked'):
	   //$vetorRaioX[169]='-N-';	
	   //$vetorRaioX[170]='-N-';	
	   //$vetorRaioX[171]='-N-';	
	   $vetorRaioX[172]='-N-';	
	   //$vetorRaioX[173]='-N-';	
	   //$vetorRaioX[175]='-N-';	
	   //$vetorRaioX[200]='-N-';	
	   //$vetorRaioX[199]='-N-';	
	   $vetorRaioX[176]='-N-';	
	   $vetorRaioX[177]='-N-';	
	   $vetorRaioX[178]='-N-';	
	   $vetorRaioX[179]='-N-';	
	   $vetorRaioX[180]='-N-';	
	   $vetorRaioX[181]='-N-';	
	   $vetorRaioX[182]='-N-';	
	   $fezSolo='';
	   $totalSolo='-N-';
	   $gerSolo='-N-';
	endif;
    //o analista e a data sao comuns para areia e solo entao so anula so se ambos nao estiverem marcadaos
	if($segundoVetor[8]!='checked'  && $segundoVetor[9]!='checked' ):
    	$vetorRaioX[199]='-N-';
    	$vetorRaioX[200]='-N-';
    endif;
	
//<!--TABELA DA ESQUERDA  areia-->

//final do enxerto/////////////////////////////////

 $mzy+=12;
//linha 58
$pdf->setXY(52,$mzy); $pdf->Cell(2,5,$fezAreia,0,0,'L');//'58A'
$pdf->setXY(80,$mzy); $pdf->Cell(2,5,$vetorRaioX[175],0,0,'L');//'58B'
$pdf->setXY(113,$mzy); $pdf->Cell(2,5,$fezSolo,0,0,'L');//'58C'
//canteiro ou estufa
$canteiroEstufa=$vetorRaioX[223];
if($canteiroEstufa=="S"):
    $pdf->setXY(132,$mzy); $pdf->Cell(2,5,$canteiro,0,0,'L');//58D
endif;	
if($canteiroEstufa=="N"):
    $pdf->setXY(156,$mzy); $pdf->Cell(2,5,$estufa,0,0,'L');//'58E'
endif;	
$pdf->setXY(185,$mzy); $pdf->Cell(15,5,$vetorRaioX[182],0,0,'L');//'58F'
//linha 59
$pdf->setXY(35,$mzy+4); $pdf->Cell(40,5,$vetorRaioX[173],0,0,'L');//L59A
$pdf->setXY(70,$mzy+4); $pdf->Cell(40,5,$vetorRaioX[174],0,0,'L');//L59B
$pdf->setXY(125,$mzy+4); $pdf->Cell(40,5,$vetorRaioX[180],0,0,'L');//'59C'
$pdf->setXY(170,$mzy+4); $pdf->Cell(40,5,$vetorRaioX[181],0,0,'L');//'59D'
//linha 61
$pdf->setXY(20,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[169],0,0,'L');//L61a
$pdf->setXY(35,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[170],0,0,'L');//l61b
$pdf->setXY(55,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[171],0,0,'L');//L61c
$pdf->setXY(67,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[172],0,0,'L');//L61D
$pdf->setXY(90,$mzy+12); $pdf->Cell(40,5,$total,0,0,'L');////L61E
$pdf->setXY(115,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[176],0,0,'L');//'61F'
$pdf->setXY(130,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[177],0,0,'L');//'61G'
$pdf->setXY(145,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[178],0,0,'L');//'61H'
$pdf->setXY(160,$mzy+12); $pdf->Cell(40,5,$vetorRaioX[179],0,0,'L');//'61I'
$pdf->setXY(185,$mzy+12); $pdf->Cell(40,5,$totalSolo,0,0,'L');//'61J'
//linha 62
//ras areia
$rasSolo=$vetorRaioX[224];
if($rasSolo=="S"):
  $pdf->setXY(49,$mzy+16); $pdf->Cell(40,5,'x',0,0,'L');//62A
endif;   
if($rasSolo=="N"):
  $pdf->setXY(57,$mzy+16); $pdf->Cell(40,5,'x',0,0,'L');//62E
endif;   
//ras solos
$rasSolo=$vetorRaioX[225];
if($rasSolo=="S"):
  $pdf->setXY(143,$mzy+16); $pdf->Cell(40,5,'x',0,0,'L');//62A
endif;   
if($rasSolo=="N"):
  $pdf->setXY(151,$mzy+16); $pdf->Cell(40,5,'x',0,0,'L');//62E
endif;   
$pdf->setXY(90,$mzy+16); $pdf->Cell(40,5,$gerAreia,0,0,'L');//'62C
$pdf->setXY(186,$mzy+16); $pdf->Cell(40,5,$gerSolo,0,0,'L');//'62F'
//linha 63
$pdf->setXY(30,$mzy+20); $pdf->Cell(40,5,$vetorRaioX[200],0,0,'L');//'63A'
$pdf->setXY(160,$mzy+20); $pdf->Cell(40,5,$vetorRaioX[199],0,0,'L');//63C
//linha 64 OBSERVACEOS
$pdf->setXY(35,$mzy+25); $pdf->Cell(40,5,utf8_decode($vetorRaioX[63]),0,0,'L');//'63A'

	
    //AQUI VAI MONTAR A STRING COM BASE NOS TESTES FEITOS QUE DIFEREM DE -N- 
    $estring="";
	if($vetorRaioX[13]!="")$estring=$estring."  PMS=".$vetorRaioX[13];
	if($vetorRaioX[18]!="")$estring=$estring."  Stes infestadas=".$vetorRaioX[18];
	//$pdf->setXY($mzx+2,$mzy+50); $pdf->Cell(30,5,$estring,0,0,'L');//DETES
	//$pdf->setXY($mzx+2,$mzy+55); $pdf->Cell(100,5,$vetorRaioX[63],0,0,'L');//observacoes da amostra
    endif;//TESTA SE É CABECALHO
   endwhile; //este while abre a amostras atraves do campo amostraLong
  endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
   
   
   ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
